{%  extends '/thesaurus/thesaurusLayout.twig' %}
{%  block content %}


    <p><a class="btn btn-default" href="{{ url('thesaurus-print') }}"><span class="glyphicon glyphicon-print"></span> Version imprimable</a></p>


    <div class='row'>
        <div class='col-md-{{ app.session.get('is_admin') ? '8' : '12' }}'>
            <h1>{{ to|length }} {{ to|length<=1 ? 'type' : 'types'}} d'objet
                <small>{% include('thesaurus/thesaurusSysmaObjectTypeCreationButton.twig') %}</small>
            </h1>
            {% for ty in to %}

                {% if [app.session.get('user_id'),null, ty.sysma_object_type_id, null, null ,null ,null , 'lecteur']|hasAccess or [app.session.get('user_id'),null, ty.sysma_object_type_id, null, null ,null ,null , 'contributeur']|hasAccess %}
                    <div class="row">
                        <div class="col-xs-1">
                            <small><small><span class="text-muted">[{{ ty.sysma_object_type_id }}]</span></small></small>
                        </div>
                        <div class="col-xs-6">                   
                            <big><a href="{{ url('sysma-object-type',{ 'id': ty.sysma_object_type_id }) }}">{%  if ty.hidden == 1 %}<span class='text-muted'> {%  endif %}{{ ty.sysma_object_type|raw }}{%  if ty.hidden == 1 %}</span> {%  endif %}</a>                                       </big>
                        </div>
                        <div class="col-xs-3">
                            <span class="text-muted">{{ ty.group_name }}</span>
                        </div>
                    </div>

                {% endif %}

            {% endfor %}
        </div>

        {% if app.session.get('is_admin') %}
            <div class='col-md-4'>
                <h1>{{ rs|length }} {{ rs|length<=1 ? 'relation' : 'relations'}} 
                    <small>{% include('thesaurus/thesaurusSysmaRelationTypeCreationButton.twig') %}</small>
                </h1>

                {% for r in rs %}
                    <div class="row">
                        <div class="col-xs-3">
                            <small><small><span class="text-muted">[{{ r.sysma_relation_type_id }}]</span></small></small>
                        </div>
                        <div class="col-xs-6">                   
                            <big><a href="{{ url('thesaurus-sysma-relation-type',{ 'id': r.sysma_relation_type_id }) }}">{%  if r.hidden == 1 %}<span class='text-muted'> {%  endif %}{{ r.sysma_relation_type|raw }}{%  if r.hidden == 1 %}</span> {%  endif %}</a>                                       </big>

                        </div>                        
                    </div>
                {% endfor %}
            </div>
        {% endif %}
    </div>

{% endblock %}
